// -*- C++ -*-

//=============================================================================
/**
 *  @file    uio.h
 *
 *  definitions for vector I/O operations
 *
 *  uio.h,v 1.3 2003/04/21 15:53:00 dhinton Exp
 *
 *  @author Don Hinton <dhinton@ieee.org>
 *  @author This code was originally in various places including ace/OS.h.
 */
//=============================================================================

#ifndef ACE_OS_INCLUDE_SYS_UIO_H
#define ACE_OS_INCLUDE_SYS_UIO_H

#include "ace/pre.h"

#include "ace/config-all.h"

#if !defined (ACE_LACKS_PRAGMA_ONCE)
# pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

#include "ace/os_include/sys/types.h"

#if !defined (ACE_LACKS_SYS_UIO_H)
# include /**/ <sys/uio.h>
#endif /* !ACE_LACKS_SYS_UIO_H */

#include "ace/post.h"
#endif /* ACE_OS_INCLUDE_SYS_UIO_H */
